Skip to main content
GET
/
mpc
/
accounts
/
{accountId}
/
wallets
/
list
curl -X GET "https://api.cryptomate.me/mpc/accounts/acc_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/wallets/list" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "id": "wallet_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
    "alias": "Primary Polygon Wallet",
    "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "blockchain": "POLYGON",
    "enabled": true
  }
]
Retrieves all wallets associated with a specific treasury account. Requires an API key with access level 1 or higher.

Path parameters

accountId
string
required
The treasury account ID.

Response

Returns an array of wallet objects.
id
string
Unique wallet identifier.
alias
string
Friendly alias name for the wallet.
wallet_address
string
Blockchain wallet address.
blockchain
string
Blockchain network. One of ETHEREUM, POLYGON, BSC, ARBITRUM, OPTIMISM, BASE, AVALANCHE.
enabled
boolean
Whether the wallet is enabled for transactions.
curl -X GET "https://api.cryptomate.me/mpc/accounts/acc_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/wallets/list" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "id": "wallet_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
    "alias": "Primary Polygon Wallet",
    "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "blockchain": "POLYGON",
    "enabled": true
  }
]